cairomm: Cairo::SurfacePattern Class Reference

cairomm 1.0

- Main Page
- Related Pages
- Namespaces
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
Cairo::SurfacePattern Class Reference
Inheritance diagram for Cairo::SurfacePattern:
[legend]

## Public Member Functions
| SurfacePattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance. More...
virtual | ~SurfacePattern ()
void | set_extend (Extend extend)
Extend | get_extend () const
void | set_filter (Filter filter)
| Sets the filter to be used for resizing when using this pattern. More...
Filter | get_filter () const
| Gets the current filter for a pattern. More...
RefPtr< const Surface > | get_surface () const
| Gets the surface associated with this pattern. More...
RefPtr< Surface > | get_surface ()
Public Member Functions inherited from Cairo::Pattern
| Pattern (cairo_pattern_t*cobject, bool has_reference=false)
| Create a C++ wrapper for the C instance. More...
| Pattern (const Pattern&)=delete
Pattern& | operator= (const Pattern&)=delete
virtual | ~Pattern ()
void | set_matrix (const Matrix& matrix)
| Sets the pattern's transformation matrix to . More...
void | get_matrix (Matrix& matrix) const
| Returns the pattern's transformation matrix. More...
Matrix | get_matrix () const
| Returns the pattern's transformation matrix. More...
void | set_matrix (const cairo_matrix_t& matrix)
void | get_matrix (cairo_matrix_t& matrix) const
PatternType | get_type () const
| Returns the type of the pattern. More...
void | set_extend (Extend extend)
| Sets the mode to be used for drawing outside the area of a pattern. More...
Extend | get_extend () const
| Gets the current extend mode See Cairo::Extend for details on the semantics of each extend strategy. More...
cobject* | cobj ()
const cobject* | cobj () const
void | reference () const
void | unreference () const

## Static Public Member Functions
static RefPtr< SurfacePattern > | create (const RefPtr< Surface >& surface)
| Create a new Cairo::Pattern for the given surface. More...

## Protected Member Functions
| SurfacePattern (const RefPtr< Surface >& surface)
Protected Member Functions inherited from Cairo::Pattern
| Pattern ()

## Additional Inherited Members
Public Types inherited from Cairo::Pattern
typedef cairo_pattern_t | cobject
Protected Attributes inherited from Cairo::Pattern
cobject* | m_cobject

## Constructor & Destructor Documentation

Cairo::SurfacePattern::SurfacePattern | ( | const RefPtr< Surface >& | surface | ) |
| explicitprotected

Cairo::SurfacePattern::SurfacePattern | ( | cairo_pattern_t * | cobject,
|  | bool | has_reference = `false`
| ) |  |
| explicit

Create a C++ wrapper for the C instance.

This C++ instance should then be given to a RefPtr.

Parameters

  cobject | The C instance.
  has_reference | Whether we already have a reference. Otherwise, the constructor will take an extra reference.

virtual Cairo::SurfacePattern::~SurfacePattern | ( |  | ) |
| virtual

## Member Function Documentation

static RefPtr<SurfacePattern> Cairo::SurfacePattern::create | ( | const RefPtr< Surface >& | surface | ) |
| static

Create a new Cairo::Pattern for the given surface.

Extend Cairo::SurfacePattern::get_extend | ( |  | ) | const

Deprecated:
  Use Pattern::set_extend() instead.

Filter Cairo::SurfacePattern::get_filter | ( |  | ) | const

Gets the current filter for a pattern.

See Cairo::Filter for details on each filter.

RefPtr<const Surface> Cairo::SurfacePattern::get_surface | ( |  | ) | const

Gets the surface associated with this pattern.

Since
  1.4

RefPtr<Surface> Cairo::SurfacePattern::get_surface | ( |  | ) |

void Cairo::SurfacePattern::set_extend | ( | Extend | extend | ) |

Deprecated:
  Use Pattern::set_extend() instead.

void Cairo::SurfacePattern::set_filter | ( | Filter | filter | ) |

Sets the filter to be used for resizing when using this pattern.

See Cairo::Filter for details on each filter.

Note that you might want to control filtering even when you do not have an explicit Cairo::Pattern object, (for example when using Cairo::Context::set_source_surface()). In these cases, it is convenient to use Cairo::Context::get_source() to get access to the pattern that cairo creates implicitly.

Parameters

  filter | Cairo::Filter describing the filter to use for resizing the pattern

The documentation for this class was generated from the following file:

- cairomm/pattern.h